## python-pbr 0.5.21

=== requirements.txt ===
pip>=1.0

=== debian/changelog ===
python-pbr (0.5.21-0ubuntu4~cloud0) precise-havana; urgency=low

  * New upstream release for the Ubuntu Cloud Archive.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 22 Aug 2013 11:44:05 -0400

python-pbr (0.5.21-0ubuntu4) saucy; urgency=low

  * d/p/drop-pip-requirements.patch: Really drop requirement on pip.
  * d/*-overrides: Dropped - no longer required.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Aug 2013 22:31:54 +0100

python-pbr (0.5.21-0ubuntu3) saucy; urgency=low

  * debian/pydist-overrides: Add pip to overrides.
  * debian/py3dist-overrides: Add pip to overrides.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Aug 2013 15:15:13 -0400

python-pbr (0.5.21-0ubuntu2) saucy; urgency=low

  * debian/patches/drop-pip-requirements.patch: Drop python-pip from 
    requirements its in universe. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Aug 2013 11:21:53 -0400

python-pbr (0.5.21-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control: 
    - Dropped python-setuptools-git as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 06 Aug 2013 07:59:51 -0400

python-pbr (0.5.16-4) unstable; urgency=low

  * Build-Depends: on python3-d2to1 (Closes: #714552).

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Jul 2013 01:00:52 +0800

python-pbr (0.5.16-3) unstable; urgency=low

  * Reviewed short and long description.
  * Fixed python3 dependencies (there was none).

 -- Thomas Goirand <zigo@debian.org>  Sat, 15 Jun 2013 01:57:23 +0800

python-pbr (0.5.16-2) unstable; urgency=low

  * Fixed a bit debian/copyright.
  * Added many missing build-dependencies.
  * Added support for python3.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Jun 2013 14:56:22 +0800

python-pbr (0.5.16-1) unstable; urgency=low

  * Initial release. (Closes: #712173)

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Jun 2013 02:59:11 +0800

=== debian/control ===
Source: python-pbr
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-coverage,
               python-d2to1 (>= 0.2.10),
               python-fixtures,
               python-setuptools,
               python-sphinx,
               python-subunit,
               python-testrepository (>= 0.0.14),
               python-testresources,
               python-testtools,
               python3-all,
               python3-d2to1 (>= 0.2.10),
               python3-setuptools,
               subunit
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pbr.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pbr.git
Homepage: http://pypi.python.org/pypi/pbr

Package: python-pbr
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Description: inject useful and sensible default behaviors into setuptools - Python 2.x
 PBR (Python Build Reasonableness) is a library that injects some useful and
 sensible default behaviors into your setuptools run. PBR can:
  * Manage version number bad on git revisions and tags (Version file).
  * Generate AUTHORS file from git log
  * Generate ChangeLog from git log
  * Generate Sphinx autodoc stub files for your whole module
  * Store your dependencies in a pip requirements file
  * Use your README file as a long_description
  * Smartly find packages under your root package
 .
 PBR is only mildly configurable. The basic idea is that there's a decent way
 to run things and if you do, you should reap the rewards, because then it's
 simple and repeatable. If you want to do things differently, cool! But you've
 already got the power of Python at your fingertips, so you don't really need
 PBR.
 .
 PBR builds on top of `d2to1` to provide for declarative configuration. It then
 filters the `setup.cfg` data through a setup hook to fill in default values
 and provide more sensible behaviors.
 .
 This package provides support for Python 2.x.

Package: python3-pbr
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Description: inject useful and sensible default behaviors into setuptools - Python 3.x
 PBR (Python Build Reasonableness) is a library that injects some useful and
 sensible default behaviors into your setuptools run. PBR can:
  * Manage version number bad on git revisions and tags (Version file).
  * Generate AUTHORS file from git log
  * Generate ChangeLog from git log
  * Generate Sphinx autodoc stub files for your whole module
  * Store your dependencies in a pip requirements file
  * Use your README file as a long_description
  * Smartly find packages under your root package
 .
 PBR is only mildly configurable. The basic idea is that there's a decent way
 to run things and if you do, you should reap the rewards, because then it's
 simple and repeatable. If you want to do things differently, cool! But you've
 already got the power of Python at your fingertips, so you don't really need
 PBR.
 .
 PBR builds on top of `d2to1` to provide for declarative configuration. It then
 filters the `setup.cfg` data through a setup hook to fill in default values
 and provide more sensible behaviors.
 .
 This package provides support for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3:=$(shell py3versions -r)
py3sdo=set -ex; $(foreach py, $(PYTHON3), $(py) $(1);)

UPSTREAM_GIT = git://github.com/openstack-dev/pbr.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2,python3

override_dh_clean:
	dh_clean
	# This is for a cowbuilder, as it's downloading this on clean
	# there...
	rm -rf d2to1-*-py*egg

override_dh_auto_build:
	dh_auto_build
	$(call py3sdo, setup.py build)

override_dh_auto_install:
	dh_auto_install
	$(call py3sdo, setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info __pycache__

## python-pbr 0.7.0

=== requirements.txt ===
pip>=1.4

=== debian/changelog ===
python-pbr (0.7.0-0ubuntu2) trusty; urgency=medium

  * debian/patches/python-3.2-compat.patch: Updated to fix
    FTBFS with python3.2. (LP: #1298384)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Mar 2014 09:30:26 -0400

python-pbr (0.7.0-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * debian/patches/drop-pip-requirement.patch: Refreshed

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 18 Mar 2014 11:23:48 -0400

python-pbr (0.6-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * debian/patches/python-3.2-compat.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 17 Mar 2014 18:45:41 -0400

python-pbr (0.5.23-0ubuntu4) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:52:37 +0000

python-pbr (0.5.23-0ubuntu3) trusty; urgency=low

  * d/p/python-3.2-compat.patch: Fix Python 3.2 compat a bit harder. 

 -- James Page <james.page@ubuntu.com>  Thu, 05 Dec 2013 07:51:15 +0000

python-pbr (0.5.23-0ubuntu2) trusty; urgency=low

  * d/p/python-3.2-compat.patch: Fixup compatibility with Python 3.2 to
    ease backporting to Ubuntu 12.04. 

 -- James Page <james.page@ubuntu.com>  Wed, 04 Dec 2013 15:40:35 +0000

python-pbr (0.5.23-0ubuntu1) trusty; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 25 Nov 2013 11:44:26 -0500

python-pbr (0.5.22-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - debian/control: Dropped openstack-pkg-tools, python3-d2to1, python-d2to1
      dependencies.
    - debian/rules: 
      + Dropped openstack-pkg-tools cruft.
      + Dont remove the egg info when cleaning.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 28 Oct 2013 13:02:36 -0400

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,8 @@
            Ghe Rivero <ghe.rivero@stackops.com>,
            Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends: debhelper (>= 9),
-               openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
                python-coverage,
-               python-d2to1 (>= 0.2.10),
                python-fixtures,
                python-setuptools,
                python-sphinx,
@@ -21,7 +19,6 @@
                python-testresources,
                python-testtools,
                python3-all,
-               python3-d2to1 (>= 0.2.10),
                python3-setuptools,
                subunit
 Standards-Version: 3.9.4

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3:=$(shell py3versions -r)
py3sdo=set -ex; $(foreach py, $(PYTHON3), $(py) $(1);)


%:
	dh $@  --with python2,python3

override_dh_clean:
	dh_clean

override_dh_auto_build:
	dh_auto_build
	$(call py3sdo, setup.py build)

override_dh_auto_install:
	dh_auto_install
	$(call py3sdo, setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pbr pbr-(.*).tar.gz

## python-pbr 0.8.2

=== debian/changelog ===
python-pbr (0.8.2-1) unstable; urgency=medium

  * New upstream release (Closes: #750684).
  * Do not run unit tests which are downloading stuff from the net.
  * Added export http{s,}_proxy=127.0.0.1:9 to make sure there's no net access.
  * Also build-depends on python3-pip (>= 1.4).

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Jun 2014 10:37:57 +0800

python-pbr (0.8.0-2) unstable; urgency=medium

  * Fixup long description typo (Closes: #750543).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Jun 2014 14:26:24 +0800

python-pbr (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.
  * Running the unit tests with Python 2.7 and all available Python3 versions.
  * Fixed missing BSD license for some files (Closes: #742123).
  * Review patch for using six to fix unicode in Python 3.2.
  * The package now build-conflicts on itself (otherwise, there's some unit
    tests failures).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 00:02:20 +0800

python-pbr (0.6-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental.
  * Standards-Version: is now 3.9.5.
  * Patch upstream code to removes unicode strings which are incompatible with
    Python 3.2.
  * Reviewed build-depends for new upstream release.
  * Runs unit tests on build.
  * Better unit test output (using subunit).
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in debian/source/options.
  * Added a sphinx doc package.
  * Added python-dev as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 Mar 2014 06:22:40 +0000

python-pbr (0.5.21-1) unstable; urgency=low

  * New upstream release.

 -- Prach Pongpanich <prachpub@gmail.com>  Thu, 08 Aug 2013 22:35:26 +0700

python-pbr (0.5.19-1) unstable; urgency=low

  * New upstream release.
  * Added missing build-depends: python-testscenarios.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Jul 2013 14:23:33 +0800

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,47 @@
 Source: python-pbr
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
            Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Ghe Rivero <ghe.rivero@stackops.com>,
-           Mehdi Abaakouk <sileht@sileht.net>
+           Mehdi Abaakouk <sileht@sileht.net>,
+           Prach Pongpanich <prachpub@gmail.com>
 Build-Depends: debhelper (>= 9),
+               git,
+               openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
-               python-coverage,
-               python-fixtures,
+               python-all-dev,
+               python-coverage (>= 3.6),
+               python-fixtures (>= 0.3.14),
+               python-mock (>= 1.0),
+               python-pip (>= 1.4),
                python-setuptools,
+               python-six (>= 1.5.2),
                python-sphinx,
-               python-subunit,
-               python-testrepository (>= 0.0.14),
-               python-testresources,
-               python-testtools,
-               python3-all,
+               python-subunit (>= 0.0.18),
+               python-testrepository (>= 0.0.18),
+               python-testresources (>= 0.2.4),
+               python-testscenarios (>= 0.4),
+               python-testtools (>= 0.9.34),
+               python3-all (>= 3.2),
+               python3-all-dev,
+               python3-fixtures (>= 0.3.14),
+               python3-mock (>= 1.0),
+               python3-pip (>= 1.4),
                python3-setuptools,
-               subunit
-Standards-Version: 3.9.4
+               python3-six (>= 1.5.2),
+               python3-sphinx,
+               python3-subunit (>= 0.0.18),
+               python3-testrepository (>= 0.0.18),
+               python3-testresources (>= 0.2.4),
+               python3-testscenarios (>= 0.4),
+               python3-testtools (>= 0.9.34),
+               subunit (>= 0.0.18),
+               testrepository (>= 0.0.18)
+Build-Conflicts: python-pbr, python3-pbr
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pbr.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-pbr.git
 Homepage: http://pypi.python.org/pypi/pbr
@@ -29,12 +49,15 @@
 Package: python-pbr
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: python-pip (>= 1.4),
+         python-six (>= 1.5.2),
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: ${python:Recommends}
 Description: inject useful and sensible default behaviors into setuptools - Python 2.x
  PBR (Python Build Reasonableness) is a library that injects some useful and
  sensible default behaviors into your setuptools run. PBR can:
-  * Manage version number bad on git revisions and tags (Version file).
+  * Manage version number based on git revisions and tags (Version file).
   * Generate AUTHORS file from git log
   * Generate ChangeLog from git log
   * Generate Sphinx autodoc stub files for your whole module
@@ -57,12 +80,15 @@
 Package: python3-pbr
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-pip (>= 1.4),
+         python3-six (>= 1.5.2),
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: ${python3:Recommends}
 Description: inject useful and sensible default behaviors into setuptools - Python 3.x
  PBR (Python Build Reasonableness) is a library that injects some useful and
  sensible default behaviors into your setuptools run. PBR can:
-  * Manage version number bad on git revisions and tags (Version file).
+  * Manage version number based on git revisions and tags (Version file).
   * Generate AUTHORS file from git log
   * Generate ChangeLog from git log
   * Generate Sphinx autodoc stub files for your whole module
@@ -81,3 +107,31 @@
  and provide more sensible behaviors.
  .
  This package provides support for Python 3.x.
+
+Package: python-pbr-doc
+Section: doc
+Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Description: inject useful and sensible default behaviors into setuptools - doc
+ PBR (Python Build Reasonableness) is a library that injects some useful and
+ sensible default behaviors into your setuptools run. PBR can:
+  * Manage version number based on git revisions and tags (Version file).
+  * Generate AUTHORS file from git log
+  * Generate ChangeLog from git log
+  * Generate Sphinx autodoc stub files for your whole module
+  * Store your dependencies in a pip requirements file
+  * Use your README file as a long_description
+  * Smartly find packages under your root package
+ .
+ PBR is only mildly configurable. The basic idea is that there's a decent way
+ to run things and if you do, you should reap the rewards, because then it's
+ simple and repeatable. If you want to do things differently, cool! But you've
+ already got the power of Python at your fingertips, so you don't really need
+ PBR.
+ .
+ PBR builds on top of `d2to1` to provide for declarative configuration. It then
+ filters the `setup.cfg` data through a setup hook to fill in default values
+ and provide more sensible behaviors.
+ .
+ This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack-dev/pbr.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build __pycache__

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pbr; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pbr; \
		rm -rf $(CURDIR)/debian/python3-pbr/usr/lib/python3/dist-packages/pbr/tests ; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for i in 2.7 $(PYTHON3S) ; do \
		echo "===> Testing with Python $$i" ; \
		rm -rf .testrepository ; \
		testr init ; \
		TEMP_REZ=`mktemp -t` && \
			PYTHON=python$$i PYTHONPATH=$(CURDIR) testr run --subunit 'tests\.(?!.*TestCore.test_console_script_develop.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-pbr-doc/usr/share/doc/python-pbr-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-pbr 0.10.0

=== debian/changelog ===
python-pbr (0.10.0-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 25 Jul 2014 03:07:58 -0400

python-pbr (0.10.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Jul 2014 11:24:23 -0400

python-pbr (0.9.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Jul 2014 08:31:42 -0400

python-pbr (0.8.2-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jun 2014 08:48:10 -0400

python-pbr (0.8.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/patches/python-3.2-compat.patch: Dropped no longer needed.
  * debian/patches/drop-pip-requirement.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 01 May 2014 09:18:33 -0400

## python-pbr 1.8.0

=== debian/changelog ===
python-pbr (1.8.0-4ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop dependencies on pip and virtualenv as these are not in Ubuntu main.
    - Fix autopkgtests to not try to test against non-default pythons.
    - Relax build-dependency on subunit, which has been raised in the
      packaging for some reason but not raised upstream.
    - Drop build-dependencies on python3-all-dev, python3-all, python-all-dev,
      python-all.  This package doesn't build anything that requires supporting
      more than one python version, or even anything that involves a binary
      extension.  Just build-depend on python, python3.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Nov 2015 10:48:47 +0000

python-pbr (1.8.0-4) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:36:27 +0000

python-pbr (1.8.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 17:56:49 +0000

python-pbr (1.8.0-2ubuntu1) wily; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - Drop dependencies on pip and virtualenv as these are not in Ubuntu main.
    - Fix autopkgtests to not try to test against non-default pythons.
    - Relax build-dependency on subunit, which has been raised in the
      packaging for some reason but not raised upstream.
    - Drop build-dependencies on python3-all-dev, python3-all, python-all-dev,
      python-all.  This package doesn't build anything that requires supporting
      more than one python version, or even anything that involves a binary
      extension.  Just build-depend on python, python3.

 -- James Page <james.page@ubuntu.com>  Fri, 25 Sep 2015 09:10:28 +0100

python-pbr (1.8.0-2) experimental; urgency=medium

  * Re-added python{3,}-all-dev, the package really needs them!

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 13:51:37 +0000

python-pbr (1.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Do not build-depends on python{3,}-all-dev, but just -all (Closes: #799679)

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 14:49:54 +0200

python-pbr (1.6.0-1ubuntu1) wily; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - Drop dependencies on pip and virtualenv as these are not in Ubuntu main.
    - Fix autopkgtests to not try to test against non-default pythons.
    - Drops impossible self-build-conflicts, unsatisfiable because one of
      python-pbr's build-dependencies depends on python-pbr.
    - Relax build-dependency on subunit, which has been raised in the
      packaging for some reason but not raised upstream.
    - Drop build-dependencies on python3-all-dev, python3-all, python-all-dev,
      python-all.  This package doesn't build anything that requires supporting
      more than one python version, or even anything that involves a binary
      extension.  Just build-depend on python, python3.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Sep 2015 09:40:16 +0100

python-pbr (1.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed runtime depends on pip, fixed a bit the build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 08:02:20 +0000

python-pbr (1.3.0-2ubuntu3) wily; urgency=medium

  * Brown paper bag: spell 'python' right for the autopkgtests; and include
    python-dev, python3-dev as test dependencies.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 02 Aug 2015 04:43:27 +0000

python-pbr (1.3.0-2ubuntu2) wily; urgency=medium

  * Fix autopkgtests to not try to test against non-default pythons either.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 02 Aug 2015 00:02:07 +0000

python-pbr (1.3.0-2ubuntu1) wily; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Drop dependencies on pip and virtualenv as these are
      not in Ubuntu main.
  * Drops impossible self-build-conflicts, unsatisfiable because one of
    python-pbr's build-dependencies depends on python-pbr.
  * Relax build-dependency on subunit, which has been raised in the packaging
    for some reason but not raised upstream.
  * Drop build-dependencies on python3-all-dev, python3-all, python-all-dev,
    python-all.  This package doesn't build anything that requires supporting
    more than one python version, or even anything that involves a binary
    extension.  Just build-depend on python, python3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Aug 2015 21:54:34 +0000

python-pbr (1.3.0-2) experimental; urgency=medium

  * Added missing python3-sphinx build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Jul 2015 08:51:26 +0000

python-pbr (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Build-Depends: python{3,}-pbr.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Jul 2015 09:36:44 +0200

python-pbr (1.2.0-1ubuntu1) wily; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Drop dependencies on pip and virtualenv as these are
      not in Ubuntu main.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jul 2015 11:43:09 +0100

python-pbr (1.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add autopkgtest from Ubuntu:
    - d/tests/*: Enable and execute unit tests for autopkgtest.
    - d/rules: Skip unit tests during package build if Ubuntu or
      derivative.
    - d/control: Add XS-Testsuite: autopkgtest.
  * Update watch file to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jul 2015 11:29:04 +0100

python-pbr (1.0.1-1ubuntu1) wily; urgency=medium

  * Resync with Debian experimental.
  * Update for Ubuntu, executing unit tests as autopkgtest:
    - d/control: Drop dependencies on pip and virtualenv as these are
      not in Ubuntu main.


=== debian/control ===
--- 
+++ 
@@ -1,59 +1,49 @@
 Source: python-pbr
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
-           Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe.rivero@stackops.com>,
-           Mehdi Abaakouk <sileht@sileht.net>,
-           Prach Pongpanich <prachpub@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
+           Prach Pongpanich <prachpub@gmail.com>,
 Build-Depends: debhelper (>= 9),
+               dh-python,
                git,
                openstack-pkg-tools,
-               python-all (>= 2.6.6-3~),
-               python-all-dev,
-               python-coverage (>= 3.6),
-               python-fixtures (>= 0.3.14),
-               python-mock (>= 1.0),
-               python-pip (>= 1.4),
+               python,
                python-setuptools,
-               python-six (>= 1.5.2),
                python-sphinx,
-               python-subunit (>= 0.0.18),
-               python-testrepository (>= 0.0.18),
-               python-testresources (>= 0.2.4),
-               python-testscenarios (>= 0.4),
-               python-testtools (>= 0.9.34),
-               python3-all (>= 3.2),
-               python3-all-dev,
-               python3-fixtures (>= 0.3.14),
-               python3-mock (>= 1.0),
-               python3-pip (>= 1.4),
+               python3,
                python3-setuptools,
-               python3-six (>= 1.5.2),
                python3-sphinx,
-               python3-subunit (>= 0.0.18),
-               python3-testrepository (>= 0.0.18),
-               python3-testresources (>= 0.2.4),
-               python3-testscenarios (>= 0.4),
-               python3-testtools (>= 0.9.34),
-               subunit (>= 0.0.18),
-               testrepository (>= 0.0.18)
-Build-Conflicts: python-pbr, python3-pbr
-Standards-Version: 3.9.5
+Build-Depends-Indep: python-coverage,
+                     python-fixtures (>= 1.3.1),
+                     python-markupsafe,
+                     python-mock (>= 1.3),
+                     python-six (>= 1.9.0),
+                     python-testresources,
+                     python-testscenarios,
+                     python-testtools (>= 1.4.0),
+                     python3-fixtures (>= 0.3.14),
+                     python3-markupsafe,
+                     python3-mock (>= 1.3),
+                     python3-six (>= 1.9.0),
+                     python3-testresources,
+                     python3-testscenarios,
+                     python3-testtools (>= 1.4.0),
+                     subunit (>= 0.0.18),
+                     testrepository,
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pbr.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-pbr.git
 Homepage: http://pypi.python.org/pypi/pbr
+XS-Testsuite: autopkgtest
 
 Package: python-pbr
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python-pip (>= 1.4),
-         python-six (>= 1.5.2),
+Depends: python-six (>= 1.9.0),
          ${misc:Depends},
-         ${python:Depends}
-Recommends: ${python:Recommends}
+         ${python:Depends},
+Recommends: ${python:Recommends},
 Description: inject useful and sensible default behaviors into setuptools - Python 2.x
  PBR (Python Build Reasonableness) is a library that injects some useful and
  sensible default behaviors into your setuptools run. PBR can:
@@ -79,12 +69,10 @@
 
 Package: python3-pbr
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python3-pip (>= 1.4),
-         python3-six (>= 1.5.2),
+Depends: python3-six (>= 1.9.0),
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: ${python3:Recommends}
+         ${python3:Depends},
+Recommends: ${python3:Recommends},
 Description: inject useful and sensible default behaviors into setuptools - Python 3.x
  PBR (Python Build Reasonableness) is a library that injects some useful and
  sensible default behaviors into your setuptools run. PBR can:
@@ -111,8 +99,8 @@
 Package: python-pbr-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: inject useful and sensible default behaviors into setuptools - doc
  PBR (Python Build Reasonableness) is a library that injects some useful and
  sensible default behaviors into your setuptools run. PBR can:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack-dev/pbr.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build __pycache__

override_dh_auto_install:
	python setup.py install --install-layout=deb \
		--root $(CURDIR)/debian/python-pbr
	mv $(CURDIR)/debian/python-pbr/usr/bin/pbr $(CURDIR)/debian/python-pbr/usr/bin/python2-pbr
	set -e; python3 setup.py install --install-layout=deb \
		--root $(CURDIR)/debian/python3-pbr
	rm -rf $(CURDIR)/debian/python3-pbr/usr/lib/python3/dist-packages/pbr/tests
	mv $(CURDIR)/debian/python3-pbr/usr/bin/pbr $(CURDIR)/debian/python3-pbr/usr/bin/python3-pbr

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	if ! dpkg-vendor --derives-from ubuntu; then \
		set -e && $(CURDIR)/debian/tests/unit; \
	fi
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-pbr-doc/usr/share/doc/python-pbr-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/tests/control ===
Tests: unit
Depends: python-pip, python3-pip, python-virtualenv, python3-virtualenv, python-dev, python3-dev, @builddeps@, @
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pbr/pbr-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pbr 1.8.1

=== debian/changelog ===
python-pbr (1.8.1-1+16~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 21 Sep 2016 09:16:25 +0000

python-pbr (1.8.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on python{3,}-pkg-resources (Closes: #823071)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 06 May 2016 23:41:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,46 +1,52 @@
 Source: python-pbr
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                git,
                openstack-pkg-tools,
-               python,
+               python-all,
+               python-all-dev,
                python-setuptools,
                python-sphinx,
-               python3,
+               python3-all,
+               python3-all-dev,
                python3-setuptools,
                python3-sphinx,
 Build-Depends-Indep: python-coverage,
                      python-fixtures (>= 1.3.1),
                      python-markupsafe,
                      python-mock (>= 1.3),
+                     python-pip,
                      python-six (>= 1.9.0),
                      python-testresources,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
+                     python-virtualenv,
                      python3-fixtures (>= 0.3.14),
                      python3-markupsafe,
                      python3-mock (>= 1.3),
+                     python3-pip,
                      python3-six (>= 1.9.0),
                      python3-testresources,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
-                     subunit (>= 0.0.18),
+                     python3-virtualenv,
+                     subunit (>= 1.1.0),
                      testrepository,
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pbr.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-pbr.git
-Homepage: http://pypi.python.org/pypi/pbr
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pbr.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-pbr.git
+Homepage: https://pypi.python.org/pypi/pbr
 XS-Testsuite: autopkgtest
 
 Package: python-pbr
 Architecture: all
-Depends: python-six (>= 1.9.0),
+Depends: python-pkg-resources,
+         python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
 Recommends: ${python:Recommends},
@@ -69,7 +75,8 @@
 
 Package: python3-pbr
 Architecture: all
-Depends: python3-six (>= 1.9.0),
+Depends: python3-pkg-resources,
+         python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},
 Recommends: ${python3:Recommends},

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT = git://github.com/openstack-dev/pbr.git
+PYTHONS:=$(shell pyversions -vr)
+PYTHON3S:=$(shell py3versions -vr)
+
+UPSTREAM_GIT := https://github.com/openstack-dev/pbr.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -16,12 +19,16 @@
 	rm -rf .testrepository build __pycache__
 
 override_dh_auto_install:
-	python setup.py install --install-layout=deb \
-		--root $(CURDIR)/debian/python-pbr
+	set -e && for pyvers in $(PYTHONS); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python-pbr; \
+	done
 	mv $(CURDIR)/debian/python-pbr/usr/bin/pbr $(CURDIR)/debian/python-pbr/usr/bin/python2-pbr
-	set -e; python3 setup.py install --install-layout=deb \
-		--root $(CURDIR)/debian/python3-pbr
-	rm -rf $(CURDIR)/debian/python3-pbr/usr/lib/python3/dist-packages/pbr/tests
+	set -e && for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-pbr; \
+		rm -rf $(CURDIR)/debian/python3-pbr/usr/lib/python3/dist-packages/pbr/tests ; \
+	done
 	mv $(CURDIR)/debian/python3-pbr/usr/bin/pbr $(CURDIR)/debian/python3-pbr/usr/bin/python3-pbr
 
 override_dh_python3:

## python-pbr 1.10.0

=== debian/changelog ===
python-pbr (1.10.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Remove non-relevant anymore Python 3.2 patch.
  * Added python{3,}-wheel as build-depends-indep (used in tests).
  * Black list 3 unit tests:
    - test_packaging.TestRequirementParsing.test_requirement_parsing (failing)
    - test_wsgi.TestWsgiScripts.test_with_argument (doing network access)
    - test_wsgi.TestWsgiScripts.test_wsgi_script_run (doing network access)
  * Fixed debian/copyright ordering.
  * Add debian/source.lintian-overrides to suppress warning:
    build-depends-on-python-dev-with-no-arch-any (python-dev needed for tests).
  * Standards-Version: 3.9.8 (no change).
  * Updated long desc.
  * Using pkgos-dh_auto_install.
  * Add gnupg as build-depends (Closes: #834684).

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2016 16:14:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                git,
-               openstack-pkg-tools,
+               gnupg,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-all-dev,
                python-setuptools,
@@ -26,6 +27,7 @@
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-virtualenv,
+                     python-wheel,
                      python3-fixtures (>= 0.3.14),
                      python3-markupsafe,
                      python3-mock (>= 1.3),
@@ -35,11 +37,12 @@
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      python3-virtualenv,
+                     python3-wheel,
                      subunit (>= 1.1.0),
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pbr.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-pbr.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pbr
+Vcs-Git: https://git.openstack.org/openstack/deb-python-pbr
 Homepage: https://pypi.python.org/pypi/pbr
 XS-Testsuite: autopkgtest
 
@@ -67,9 +70,14 @@
  already got the power of Python at your fingertips, so you don't really need
  PBR.
  .
- PBR builds on top of `d2to1` to provide for declarative configuration. It then
- filters the `setup.cfg` data through a setup hook to fill in default values
- and provide more sensible behaviors.
+ PBR builds on top of the work that d2to1 started to provide for declarative
+ configuration. d2to1 is itself an implementation of the ideas behind
+ distutils2. Although distutils2 is now abandoned in favor of work towards PEP
+ 426 and Metadata 2.0, declarative config is still a great idea and
+ specifically important in trying to distribute setup code as a library when
+ that library itself will alter how the setup is processed. As Metadata 2.0 and
+ other modern Python packaging PEPs come out, PBR aims to support them as
+ quickly as possible.
  .
  This package provides support for Python 2.x.
 
@@ -97,9 +105,14 @@
  already got the power of Python at your fingertips, so you don't really need
  PBR.
  .
- PBR builds on top of `d2to1` to provide for declarative configuration. It then
- filters the `setup.cfg` data through a setup hook to fill in default values
- and provide more sensible behaviors.
+ PBR builds on top of the work that d2to1 started to provide for declarative
+ configuration. d2to1 is itself an implementation of the ideas behind
+ distutils2. Although distutils2 is now abandoned in favor of work towards PEP
+ 426 and Metadata 2.0, declarative config is still a great idea and
+ specifically important in trying to distribute setup code as a library when
+ that library itself will alter how the setup is processed. As Metadata 2.0 and
+ other modern Python packaging PEPs come out, PBR aims to support them as
+ quickly as possible.
  .
  This package provides support for Python 3.x.
 
@@ -125,8 +138,13 @@
  already got the power of Python at your fingertips, so you don't really need
  PBR.
  .
- PBR builds on top of `d2to1` to provide for declarative configuration. It then
- filters the `setup.cfg` data through a setup hook to fill in default values
- and provide more sensible behaviors.
+ PBR builds on top of the work that d2to1 started to provide for declarative
+ configuration. d2to1 is itself an implementation of the ideas behind
+ distutils2. Although distutils2 is now abandoned in favor of work towards PEP
+ 426 and Metadata 2.0, declarative config is still a great idea and
+ specifically important in trying to distribute setup code as a library when
+ that library itself will alter how the setup is processed. As Metadata 2.0 and
+ other modern Python packaging PEPs come out, PBR aims to support them as
+ quickly as possible.
  .
  This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-dev/pbr.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build __pycache__

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	if ! dpkg-vendor --derives-from ubuntu; then \
		set -e && $(CURDIR)/debian/tests/unit; \
	fi
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-pbr-doc/usr/share/doc/python-pbr-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif
